Subject: Re: bug#23180: 2016-01-31; Auto-capitalize and change env

From: Uwe Brauer <[email-masked]>
Date: Fri, 01 Apr 2016 17:11:20 +0000

> 2016-04-01 15:17 GMT+02:00 Uwe Brauer <[email-masked]>:

   > Ok, thanks, now I can reproduce it but can't find the real culprit.

Good, I was starting to feel paranoid :-D

   > The problem is that after `replace-match' point is left after
   > "\begin", instead of after "\end{align".  I can't understand what
   > moves point.  Apparently point is moved after `after-change-functions'
   > hook is run.  In a LaTeX buffer its value is (auto-capitalize
   > jit-lock-after-change t), but neither `auto-capitalize' nor
   > `jit-lock-after-change' moves point.  I really don't know what is
   > causing point to be moved after the change.

This comment is not really helpful, but in Xemacs this problem does not
occur.

   > I can't reproduce the bug with other major modes (I tested
   > fundamental-mode and text-mode).  I can't reproduce it with other
   > values of `auto-capitalize-predicate' , like both (lambda () t) or
   > (lambda () nil), so I thought `texmathp' is involved but it doesn't move point.

I will play around with it a bit with that function.

   > PS: regarding the specific problem you're reporting we can work around
   > it by wrapping a `save-excursion' around `replace-match', but I'd
   > prefer to find what really triggers the bug and then decide what to
   > do.

Ah, I was thinking about something like this.